import type { Metadata } from 'next';
import { SkillGrid } from '@/components/Skills/SkillGrid';
import { skills } from '@/data/skills';

export const metadata: Metadata = {
  title: 'Resume - Charlotte Croce',
  description: 'Charlotte Croce - Resume',
};

export default function Resume() {
  return (
    <div className="container">
      <section className="intro">
        <div className="resume-header">
          <h1>Charlotte Croce</h1>
          <div className="contact-info"></div>
        </div>
      </section>

      <section className="resume-section">
        <h2>Education</h2>
        <div className="education-item">
          <div className="education-header">
            <h3>Champlain College</h3>
            <span className="location">Burlington, VT</span>
          </div>
          <div className="education-header">
            <div className="degree">Bachelor of Science in Computer Networking and Cybersecurity</div>
            <span className="date">Class of 2027</span>
          </div>
          <div className="gpa">GPA: 3.97/4.0</div>
          <div className="coursework">
            <strong>Relevant Coursework:</strong> Network Security Controls, Web & Application Security, Database Security, System Administration for Enterprise and Distributed Systems, Automation & Scripting
          </div>
        </div>
      </section>

      <section className="resume-section">
        <h2>Experience</h2>
        <div className="experience-item">
          <div className="experience-header">
            <h3>The Leahy Center</h3>
            <span className="location">Burlington, VT</span>
          </div>
          <div className="experience-header">
            <div className="job-title">Security Engineer</div>
            <span className="date">Jan 2024 — Present</span>
          </div>
          <ul className="bullet-list">
            <li>Maintained SIEM infrastructure, ensured uptime, and automated security operations</li>
            <li>Optimized a threat detection engine to expand security coverage while reducing false positives</li>
            <li>Developed an Elastic Stack dev environment for feature testing</li>
            <li>Collaborated with analysts on alert response</li>
          </ul>
          <div className="experience-header">
            <div className="job-title">SOC Intern</div>
            <span className="date">Oct 2023 — Dec 2023</span>
          </div>
        </div>
      </section>

      <section className="resume-section">
        <h2>Certifications</h2>
        <div className="skills-grid">
          <div className="skill-category">CompTIA CySA+</div>
          <div className="skill-category">CompTIA Security+</div>
          <div className="skill-category">CompTIA A+</div>
        </div>
      </section>

      <section className="resume-section">
        <h2>Skills</h2>
        <SkillGrid skills={skills} showHeadings={true} />
      </section>
    </div>
  );
}