import { Skill } from '@/types';

export function SkillGrid({ skills, showHeadings = false }: { skills: Skill[]; showHeadings?: boolean }) {
  if (showHeadings) {
    return (
      <>
        {skills.map((skillCategory, index) => (
          <div key={skillCategory.category}>
            <h3 className={`skill-heading ${index === 0 ? 'mt-0' : ''}`}>{skillCategory.category}</h3>
            <div className="skills-grid">
              {skillCategory.items.map((skill) => (
                <div key={skill} className="skill-category">
                  {skill}
                </div>
              ))}
            </div>
          </div>
        ))}
      </>
    );
  }

  return (
    <div className="skills-grid">
      {skills.map((skillCategory) =>
        skillCategory.items.map((skill) => (
          <div key={skill} className="skill-category">
            {skill}
          </div>
        ))
      )}
    </div>
  );
}